class ILexer {
public:
	virtual ~ILexer() {
	}
	virtual void InvalidateAfter(int position) = 0;
	virtual void ColourisePiece(SAccessor &sc) = 0;
	virtual void Colourise(SAccessor &sc) = 0;
	virtual int States() = 0;
	virtual void SetBaseState(int state) = 0;
	virtual int GetBaseState() = 0;
	virtual bool InStateRange(int state) = 0;
	virtual bool CanBeInterrupted(int state) = 0;
	virtual void SetKeyWords(int n, WordList *keyWordsN) = 0;
};