# SinkWorld project
# Template.py
# Usage:
# Template.py input_file output_file [definition=expansion]*
# Expand a templated source file using a set of command line arguments.
# If the command line has T=SW_BYTE then each <T> string in the template file is expanded 
# to SW_BYTE in the output
# Copyright 2002 Neil Hodgson
import sys
import os

if len(sys.argv) > 2:
	infile = sys.argv[1]
	#print infile
	text = file(infile, "rb").read()
	outfile = sys.argv[2]
	#print outfile
	for arg in sys.argv[3:]:
		definition, expansion = arg.split("=")
		#print definition, expansion
		text = text.replace("<" + definition + ">", expansion)
	file(outfile, "wb").write(text)
else:
	print "Usage:"
	print "Template.py input_file output_file [definition=expansion]*"
