class WordList {
	// Each word contains at least one character - a empty word acts as sentinel at the end.
	int *words;
	SW_BYTE *list;
	int nWords;
	bool onlyLineEnds;	///< Delimited by any white space or only line ends
	bool sorted;
	int starts[256];
	int Compare(int a, int b);
	void SortWordList();
public:
	WordList(bool onlyLineEnds_);
	~WordList();
	void Clear();
	void Set(SW_BYTE s[], int slen);
	bool InList(SW_BYTE s[], int start, int slen);
};

