__gc class pbx {
private:
	cbx *substance;
	cbx *style;
	
public:
	pbx(int initialLength, int growSize_) {
		substance = new cbx(initialLength, growSize_);
		style = new cbx(initialLength, growSize_);
	}
	~pbx() {
		delete substance;
		substance = NULL;
		delete style;
		style = NULL;
	}
	char CharAt(int position) {
		return substance->CharAt(position);
	}
	int Length() {
		return substance->Length();
	}
	/// Retrieving positions outside the range of the buffer fails
	void RetrieveString(int position, char s __nogc[], int retrieveLength) {
		substance->RetrieveString(position, s, retrieveLength);
	}
	void InsertString(int position, char s __nogc[], int insertLength) {
		substance->InsertString(position, s, insertLength);
		style->InsertZeros(position, insertLength);
	}
	void DeleteChars(int position, int deleteLength) {
		substance->DeleteChars(position, deleteLength);
		style->DeleteChars(position, deleteLength);
	}
};