/// MarkerSet objects hold a set of flags for each line in a SplitText.

#include <string.h>

#include "SWDefs.h"
#include "IStyles.h"
#include "cbx_4.h"
#include "LineData.h"
#include "MarkerSet.h"

MarkerSet::MarkerSet() {
	markers = new cbx_4(10,10);
}

MarkerSet::~MarkerSet() {
	delete markers;
}

void MarkerSet::Clear() {
	markers->DeleteRange(0, markers->Length());
}

void MarkerSet::InsertLine(int position) {
	markers->InsertZeros(position, 1);
}

void MarkerSet::RemoveLine(int position) {
	markers->DeleteRange(position, 1);
}
